UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.UMQSourceEventAckInfo Class Reference
Inheritance diagram for com.latencybusters.lbm.UMQSourceEventAckInfo:

## Public Member Functions
| UMQSourceEventAckInfo (int flags, long queueId, String queue, long index, String queueInstance, UMQMessageId msgId, Object clientObject) throws LBMEInvalException
UMQMessageId | messageIdInfo ()
Object | clientObject ()
long | queueInstanceIndex ()
String | queueInstanceName ()
int | flags ()
long | queueId ()
String | queueName ()

## Detailed Description

UMQ Stability Ack Info class. This info object is delivered with a source event indicating that a message is stable (i.e. has been acknowledged by a queue instance).

Since
  UME 3.0

## Constructor & Destructor Documentation

com.latencybusters.lbm.UMQSourceEventAckInfo.UMQSourceEventAckInfo | ( | int | flags,
|  | long | queueId,
|  | String | queue,
|  | long | index,
|  | String | queueInstance,
|  | UMQMessageId | msgId,
|  | Object | clientObject
| ) |  | throws LBMEInvalException

Creates a UMQSourceEventAckInfo object and initializes fields to the supplied values.

Parameters

  flags | Informational flags.
  queueId | Queue Id of the queue.
  queue | The name of the queue the receiver registered with.
  index | The index of the instance of the queue.
  queueInstance | The instance of the queue.
  msgId | The registration Id of the source context where the message eing acknowledged originated.
  clientObject | The client object associated with the acknowledgment message.

Exceptions

  LBMEInvalException | An invalid parameter was specified.

Since
  UME 3.0

References com.latencybusters.lbm.UMQSourceEventAckInfo.clientObject(), com.latencybusters.lbm.UMQQueueInfo.flags(), and com.latencybusters.lbm.UMQQueueInfo.queueId().

## Member Function Documentation

Object com.latencybusters.lbm.UMQSourceEventAckInfo.clientObject | ( |  | ) |

Get the client-supplied callback object.

Returns
  Client-supplied object.

Since
  UME 3.0

Referenced by com.latencybusters.lbm.UMQSourceEventAckInfo.UMQSourceEventAckInfo().

int com.latencybusters.lbm.UMQQueueInfo.flags | ( |  | ) |
| inherited

Get informational flags for this info object.

Returns
  Flags.

Since
  UME 3.0

Referenced by com.latencybusters.lbm.UMQQueueInstanceInfo.queueInstanceName(), com.latencybusters.lbm.UMQQueueInfo.queueName(), com.latencybusters.lbm.UMQContextEventRegistrationCompleteInfo.UMQContextEventRegistrationCompleteInfo(), com.latencybusters.lbm.UMQContextEventRegistrationSuccessInfo.UMQContextEventRegistrationSuccessInfo(), com.latencybusters.lbm.UMQDeregistrationCompleteInfo.UMQDeregistrationCompleteInfo(), com.latencybusters.lbm.UMQIndexAssignedInfo.UMQIndexAssignedInfo(), com.latencybusters.lbm.UMQIndexAssignmentEligibilityStartCompleteInfo.UMQIndexAssignmentEligibilityStartCompleteInfo(), com.latencybusters.lbm.UMQIndexAssignmentEligibilityStopCompleteInfo.UMQIndexAssignmentEligibilityStopCompleteInfo(), com.latencybusters.lbm.UMQIndexReleasedInfo.UMQIndexReleasedInfo(), com.latencybusters.lbm.UMQQueueIndexInfo.UMQQueueIndexInfo(), com.latencybusters.lbm.UMQQueueInfo.UMQQueueInfo(), com.latencybusters.lbm.UMQQueueInstanceInfo.UMQQueueInstanceInfo(), com.latencybusters.lbm.UMQRegistrationCompleteInfo.UMQRegistrationCompleteInfo(), com.latencybusters.lbm.UMQSourceEventAckInfo.UMQSourceEventAckInfo(), and com.latencybusters.lbm.UMQSourceEventRegistrationCompleteInfo.UMQSourceEventRegistrationCompleteInfo().

UMQMessageId com.latencybusters.lbm.UMQSourceEventAckInfo.messageIdInfo | ( |  | ) |

Get the message Id object identifying the message being acknowledged.

Returns
  A UMQMessageId object identifying the message being acknowledged.

Since
  UME 3.0

long com.latencybusters.lbm.UMQQueueInfo.queueId | ( |  | ) |
| inherited

Get Queue Id for the queue associated with this info object.

Returns
  Queue Id for the queue associated with this info object.

Since
  UME 3.0

Referenced by com.latencybusters.lbm.UMQQueueInstanceInfo.queueInstanceName(), com.latencybusters.lbm.UMQQueueInfo.queueName(), com.latencybusters.lbm.UMQContextEventRegistrationCompleteInfo.UMQContextEventRegistrationCompleteInfo(), com.latencybusters.lbm.UMQContextEventRegistrationSuccessInfo.UMQContextEventRegistrationSuccessInfo(), com.latencybusters.lbm.UMQDeregistrationCompleteInfo.UMQDeregistrationCompleteInfo(), com.latencybusters.lbm.UMQIndexAssignedInfo.UMQIndexAssignedInfo(), com.latencybusters.lbm.UMQIndexAssignmentEligibilityStartCompleteInfo.UMQIndexAssignmentEligibilityStartCompleteInfo(), com.latencybusters.lbm.UMQIndexAssignmentEligibilityStopCompleteInfo.UMQIndexAssignmentEligibilityStopCompleteInfo(), com.latencybusters.lbm.UMQIndexReleasedInfo.UMQIndexReleasedInfo(), com.latencybusters.lbm.UMQQueueIndexInfo.UMQQueueIndexInfo(), com.latencybusters.lbm.UMQQueueInfo.UMQQueueInfo(), com.latencybusters.lbm.UMQQueueInstanceInfo.UMQQueueInstanceInfo(), com.latencybusters.lbm.UMQRegistrationCompleteInfo.UMQRegistrationCompleteInfo(), com.latencybusters.lbm.UMQSourceEventAckInfo.UMQSourceEventAckInfo(), and com.latencybusters.lbm.UMQSourceEventRegistrationCompleteInfo.UMQSourceEventRegistrationCompleteInfo().

long com.latencybusters.lbm.UMQQueueInstanceInfo.queueInstanceIndex | ( |  | ) |
| inherited

Gets the index of the queue instance associated with this info object.

Returns
  Index of the queue instance associated with this info object.

Since
  UME 3.0

String com.latencybusters.lbm.UMQQueueInstanceInfo.queueInstanceName | ( |  | ) |
| inherited

Gets the name of the queue instance associated with this info object.

Returns
  Name of the queue instance associated with this info object.

Since
  UME 3.0

References com.latencybusters.lbm.UMQQueueInfo.flags(), and com.latencybusters.lbm.UMQQueueInfo.queueId().

String com.latencybusters.lbm.UMQQueueInfo.queueName | ( |  | ) |
| inherited

Get Queue name for the queue associated with this info object.

Returns
  Queue name for the queue associated with this info object.

Since
  UME 3.0

References com.latencybusters.lbm.UMQQueueInfo.flags(), and com.latencybusters.lbm.UMQQueueInfo.queueId().

The documentation for this class was generated from the following file:

- UMQSourceEventAckInfo.java